Index: external/fastjet/ClusterSequenceStructure.hh
===================================================================
--- external/fastjet/ClusterSequenceStructure.hh	(revision 4564cba9fa0180ca6c293da8cea545291a6d0116)
+++ external/fastjet/ClusterSequenceStructure.hh	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
@@ -1,6 +1,6 @@
-//FJSTARTHEADER
-// $Id: ClusterSequenceStructure.hh 4442 2020-05-05 07:50:11Z soyez $
-//
-// Copyright (c) 2005-2020, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+//STARTHEADER
+// $Id: ClusterSequenceStructure.hh 2577 2011-09-13 15:11:38Z salam $
+//
+// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,9 +13,7 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development. They are described in the original FastJet paper,
-//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
+//  development and are described in hep-ph/0512210. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  quote the version you use and include a citation to the manual and
-//  optionally also to hep-ph/0512210.
+//  include a citation to the FastJet paper.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -27,5 +25,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//FJENDHEADER
+//ENDHEADER
 
 
@@ -76,7 +74,5 @@
 
   /// description
-  virtual std::string description() const FASTJET_OVERRIDE{
-    return "PseudoJet with an associated ClusterSequence";
-  }
+  virtual std::string description() const{ return "PseudoJet with an associated ClusterSequence"; }
 
   //-------------------------------------------------------------
@@ -87,22 +83,20 @@
   //-------------------------------------------------------------
   /// returns true if there is an associated ClusterSequence
-  virtual bool has_associated_cluster_sequence() const FASTJET_OVERRIDE{ return true;}
+  virtual bool has_associated_cluster_sequence() const{ return true;}
 
   /// get a (const) pointer to the parent ClusterSequence (NULL if
   /// inexistent)
-  virtual const ClusterSequence* associated_cluster_sequence() const FASTJET_OVERRIDE;
+  virtual const ClusterSequence* associated_cluster_sequence() const;
   
   /// returns true if there is a valid associated ClusterSequence
-  virtual bool has_valid_cluster_sequence() const FASTJET_OVERRIDE;
+  virtual bool has_valid_cluster_sequence() const;
 
   /// if the jet has a valid associated cluster sequence then return a
   /// pointer to it; otherwise throw an error
-  virtual const ClusterSequence * validated_cs() const FASTJET_OVERRIDE;
-
-#ifndef __FJCORE__
+  virtual const ClusterSequence * validated_cs() const;
+
   /// if the jet has valid area information then return a pointer to
   /// the associated ClusterSequenceAreaBase object; otherwise throw an error
-  virtual const ClusterSequenceAreaBase * validated_csab() const FASTJET_OVERRIDE;
-#endif  // __FJCORE__
+  virtual const ClusterSequenceAreaBase * validated_csab() const;
 
   /// set the associated csw
@@ -127,5 +121,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual bool has_partner(const PseudoJet &reference, PseudoJet &partner) const FASTJET_OVERRIDE;
+  virtual bool has_partner(const PseudoJet &reference, PseudoJet &partner) const;
 
   /// check if it has been recombined with another PseudoJet in which
@@ -135,5 +129,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual bool has_child(const PseudoJet &reference, PseudoJet &child) const FASTJET_OVERRIDE;
+  virtual bool has_child(const PseudoJet &reference, PseudoJet &child) const;
 
   /// check if it is the product of a recombination, in which case
@@ -143,5 +137,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual bool has_parents(const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const FASTJET_OVERRIDE;
+  virtual bool has_parents(const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const;
 
   /// check if the reference PseudoJet is contained in the second one
@@ -153,5 +147,5 @@
   /// false is returned if the 2 PseudoJet do not belong the same
   /// ClusterSequence
-  virtual bool object_in_jet(const PseudoJet &reference, const PseudoJet &jet) const FASTJET_OVERRIDE;
+  virtual bool object_in_jet(const PseudoJet &reference, const PseudoJet &jet) const;
 
   /// return true if the structure supports constituents. 
@@ -159,5 +153,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual bool has_constituents() const FASTJET_OVERRIDE;
+  virtual bool has_constituents() const;
 
   /// retrieve the constituents. 
@@ -165,5 +159,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual std::vector<PseudoJet> constituents(const PseudoJet &reference) const FASTJET_OVERRIDE;
+  virtual std::vector<PseudoJet> constituents(const PseudoJet &reference) const;
 
 
@@ -172,5 +166,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual bool has_exclusive_subjets() const FASTJET_OVERRIDE;
+  virtual bool has_exclusive_subjets() const;
 
   /// return a vector of all subjets of the current jet (in the sense
@@ -185,5 +179,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual std::vector<PseudoJet> exclusive_subjets(const PseudoJet &reference, const double & dcut) const FASTJET_OVERRIDE;
+  virtual std::vector<PseudoJet> exclusive_subjets(const PseudoJet &reference, const double & dcut) const;
 
   /// return the size of exclusive_subjets(...); still n ln n with same
@@ -193,5 +187,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual int n_exclusive_subjets(const PseudoJet &reference, const double & dcut) const FASTJET_OVERRIDE;
+  virtual int n_exclusive_subjets(const PseudoJet &reference, const double & dcut) const;
 
   /// return the list of subjets obtained by unclustering the supplied
@@ -203,5 +197,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual std::vector<PseudoJet> exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const FASTJET_OVERRIDE;
+  virtual std::vector<PseudoJet> exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const;
 
   /// return the dij that was present in the merging nsub+1 -> nsub 
@@ -210,5 +204,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual double exclusive_subdmerge(const PseudoJet &reference, int nsub) const FASTJET_OVERRIDE;
+  virtual double exclusive_subdmerge(const PseudoJet &reference, int nsub) const;
 
   /// return the maximum dij that occurred in the whole event at the
@@ -218,5 +212,5 @@
   /// an Error is thrown if this PseudoJet has no currently valid
   /// associated ClusterSequence
-  virtual double exclusive_subdmerge_max(const PseudoJet &reference, int nsub) const FASTJET_OVERRIDE;
+  virtual double exclusive_subdmerge_max(const PseudoJet &reference, int nsub) const;
 
 
@@ -226,5 +220,5 @@
   /// by convention, a jet associated with a ClusterSequence will have
   /// its parents as pieces
-  virtual bool has_pieces(const PseudoJet &reference) const FASTJET_OVERRIDE;
+  virtual bool has_pieces(const PseudoJet &reference) const;
 
   /// by convention, a jet associated with a ClusterSequence will have
@@ -237,5 +231,5 @@
   /// sequence. If the cluster sequence has gone out of scope, an
   /// error will be thrown
-  virtual std::vector<PseudoJet> pieces(const PseudoJet &reference) const FASTJET_OVERRIDE;
+  virtual std::vector<PseudoJet> pieces(const PseudoJet &reference) const;
 
 
@@ -243,27 +237,25 @@
   // parent ClusterSequence (See ClusterSequenceAreaBase for details)
   //------------------------------------------------------------------
-#ifndef __FJCORE__
 
   /// check if it has a defined area
-  virtual bool has_area() const FASTJET_OVERRIDE;
+  virtual bool has_area() const;
 
   /// return the jet (scalar) area.
   /// throws an Error if there is no support for area in the parent CS
-  virtual double area(const PseudoJet &reference) const FASTJET_OVERRIDE;
+  virtual double area(const PseudoJet &reference) const;
 
   /// return the error (uncertainty) associated with the determination
   /// of the area of this jet.
   /// throws an Error if there is no support for area in the parent CS
-  virtual double area_error(const PseudoJet &reference) const FASTJET_OVERRIDE;
+  virtual double area_error(const PseudoJet &reference) const;
 
   /// return the jet 4-vector area.
   /// throws an Error if there is no support for area in the parent CS
-  virtual PseudoJet area_4vector(const PseudoJet &reference) const FASTJET_OVERRIDE;
+  virtual PseudoJet area_4vector(const PseudoJet &reference) const;
 
   /// true if this jet is made exclusively of ghosts.
   /// throws an Error if there is no support for area in the parent CS
-  virtual bool is_pure_ghost(const PseudoJet &reference) const FASTJET_OVERRIDE;
-
-#endif  // __FJCORE__
+  virtual bool is_pure_ghost(const PseudoJet &reference) const;
+
   //\} --- end of jet structure -------------------------------------
 
